Bug 25480 - koha-create may hide useful error
Summary: koha-create may hide useful error
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-13 11:05 UTC by Jonathan Druart
Modified: 2020-05-22 14:19 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06, 19.05.11


Attachments
Bug 25480: Don't hide apache error and display incorrect error (3.01 KB, patch)
2020-05-13 11:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25480: Don't hide apache error and display incorrect error (3.07 KB, patch)
2020-05-13 12:14 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 25480: Don't hide apache error and display incorrect error (3.12 KB, patch)
2020-05-14 11:38 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-05-13 11:05:45 UTC
When searching if some apache mod are enable we are hiding the error (2> /dev/null) and display an error about the (guessed) missing module.

It can lead to wrong tracks, let display the original apache error if there is one.
Comment 1 Jonathan Druart 2020-05-13 11:06:52 UTC
Created attachment 104835 [details] [review]
Bug 25480: Don't hide apache error and display incorrect error

When searching if some apache mod are enable we are hiding the error (2> /dev/null) and display an error about the (guessed) missing module.

It can lead to wrong tracks, let display the original apache error if there is one.

This is linked with https://gitlab.com/koha-community/koha-testing-docker/-/merge_requests/119
Comment 2 Tomás Cohen Arazi 2020-05-13 12:14:10 UTC
Created attachment 104840 [details] [review]
Bug 25480: Don't hide apache error and display incorrect error

When searching if some apache mod are enable we are hiding the error (2> /dev/null) and display an error about the (guessed) missing module.

It can lead to wrong tracks, let display the original apache error if there is one.

This is linked with https://gitlab.com/koha-community/koha-testing-docker/-/merge_requests/119

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Nick Clemens 2020-05-14 11:38:28 UTC
Created attachment 104875 [details] [review]
Bug 25480: Don't hide apache error and display incorrect error

When searching if some apache mod are enable we are hiding the error (2> /dev/null) and display an error about the (guessed) missing module.

It can lead to wrong tracks, let display the original apache error if there is one.

This is linked with https://gitlab.com/koha-community/koha-testing-docker/-/merge_requests/119

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Martin Renvoize 2020-05-15 08:58:35 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-05-19 22:23:54 UTC
backported to 19.11.x for 19.11.06
Comment 6 Lucas Gass 2020-05-22 14:19:48 UTC
backported to 19.05.x for 19.05.11